#include <Wire.h> // библиотека для управления устройствами по I2C 
#include <LiquidCrystal_I2C.h> // подключаем библиотеку для QAPASS 1602
#include "IRremote.h"

LiquidCrystal_I2C LCD(0x27,16,2); // присваиваем имя LCD для дисплея

IRrecv irrecv(6); // указываем вывод, к которому подключен приемник

decode_results results;
boolean Net = 0; // указываем переменную, в которой будем зпоминать нажатие кнопки
boolean Net1 = 0; // указываем переменную, в которой будем зпоминать нажатие кнопки
boolean lcdlist=0; // указываем переменную, в которой будем зпоминать страницу дисплея

unsigned long timer;
byte SEC = 0;
byte MIN = 34;
byte HOUR = 12;
byte MIN_A = 35;
byte HOUR_A = 12;

void setup() {
  irrecv.enableIRIn(); // запускаем прием
   Serial.begin(9600);
   LCD.init(); // инициализация LCD дисплея
   LCD.backlight(); // включение подсветки дисплея
}

void loop() {        
    int sensorValue1 = analogRead(A0);
    int sensorValue2 = analogRead(A1);
    
   if ( irrecv.decode(&results))// если данные пришли
  {
    if (results.value == 16195807)// если пришли данные от нужной кнопкм
    {
      Net = !Net;// запоминаем нажатие
      if (Net==1){
        LCD.backlight(); // включение подсветки дисплея
      }
      if (Net==0){
        LCD.noBacklight(); // отключение подсветки дисплея
      }
      delay(50);// ждем, чтобы кнопка вернудась в изначальное положение
    }

    if (results.value == 16187647)// если пришли данные от нужной кнопкм
    {
      Net1 = !Net1;// запоминаем нажатие
      if (Net1==1){
        lcdlist=1;
        LCD.clear();// отображение второй страницы данных
      }
      if (Net1==0){
        lcdlist=0;
        LCD.clear();// отображение первой страницы данных
      }
      delay(50);// ждем, чтобы кнопка вернудась в изначальное положение
    }
    
    irrecv.resume();// принимаем следующую команду
  }

  if (lcdlist==0){
    LCD.setCursor(0, 0);   
   LCD.print("Rezistor"); 
   
   LCD.setCursor(11, 0);   
   LCD.print(sensorValue1); 

   LCD.setCursor(0, 1);       
   LCD.print("Svet"); 
   
   LCD.setCursor(11, 1);       
   LCD.print(sensorValue2);   
  }
  
  if (lcdlist==1){
    LCD.setCursor(0, 0);   
   LCD.print("dssdfsdv"); 
   
   LCD.setCursor(11, 0);   
   LCD.print(sensorValue1); 

   LCD.setCursor(0, 1);       
   LCD.print("Svet"); 
   
   LCD.setCursor(11, 1);       
   LCD.print(sensorValue2);   
  }
}
